Extensis Logo SUPPORT | FORUMS | KNOWLEDGE BASE

An incompatible version of the plug-in framework was found


#1

Hi,

This is a pop-up screen I get, when starting up Suitcase 6:

When I hit “install” I get the following message:

An incompatible version of the plug-in framework was found Component location: "/usr/bin/corecli". Please consult your system administrator to resolve this.

I don’t know if it will affect anything, everything seems to work fine but it is very annoying so I want to fix the problem. :frowning:
Anyone?

Suitcase Version 17.1.0 (635389) on a recently installed OSX el capitan

Modelnaam: MacBook Pro
Modelaanduiding: MacBookPro11,3
Processornaam: Intel Core i7
Processorsnelheid: 2,5 GHz
Aantal processors: 1
Totale aantal cores: 4
L2-cache (per core): 256 KB
L3-cache: 6 MB
Geheugen: 16 GB
Opstart-ROM-versie: MBP112.0138.B15
SMC-versie (systeem): 2.19f12
Serienummer (systeem): C02P242GG3QD
Hardware-UUID: DB41360C-041F-5DD9-89E0-B2BCA64CC61E


#2

Hello stijlgeit:

Suitcase Fusion 6 is not currently supported on OSX 10.11 “El Capitan” (released 9/30/2015).

We will release an update early the week of October 5th; this update will be provided FREE for all Suitcase Fusion 6 users.

Note: We do not patch discontinued products; only SF6 (current version) will be patched for OSX 10.11 “El Capitan” compatibility. If you own SF5 or SF4, then you qualify for a discounted upgrade to Suitcase Fusion 6 of $59.95.
extensis.com/store/

The following error msg is a known issue in SF6 and osx 10.11 “El Capitan”:

“An incompatible version of the plug-in framework was found
Component location: “/usr/bin/corecli”. Please consult your system administrator to resolve this.”

The error msg is benign; click “OK” to continue working.

We will notify customers when an update is available for download.

We apologize for the inconvenience; thank you for your patience.


#3

ok, thank you… I understand and be patient… :wink:


#4

Check out this post:
http://forums.extensis.com/t/mac-os-x-10-11-el-capitan-compatibility/931/1


#5

Hi

I had exactly the same problem with an incompatible plug-in framework after upgrading to El Capitan.

I received the same error prompts too.
I posted about it in an Adobe forum because I first noticed a problem whilst using Adobe Illustrator >>

forums.adobe.com/message/8022679

In short; I found that I lost the ctrl-click context menu in Illustrator. I re-installed illustrator and the menu worked again and then I turn on Suitcase and the context menu immediately didn’t work. I have subsequently found that I have lost the stroke profile previews in the drop-down menu in the stroke panel.

I have lost almost a day of productivity due to reinstalling software, trying for a solution.

I haven’t yet worked it out but I did download the newest Suitcase Fusion 6 v17.3.0 update and Suitcase now opens without a plug-in error prompt. Alas, opening Suitcase still causes the Illustrator context menu and stroke profile issue as I tested that after the update download.


#6

Hi there,

There is a temporary workaround for that issue

  1. Restart your Mac
  2. Hold down COMMAND-R to boot in recovery mode
  3. Click the Utilities menu and select Terminal
    4, Type csrutil disable and press enter (or return)
  4. Close the Terminal
  5. Restart your Mac

#7

Greetings,

This error will be resolved upon upgrading to Suitcase Fusion 17.3.0. You can download this release from http://bin.extensis.com/SuitcaseFusion6-M-17-3-0.zip. It will also show up in your Suitcase Fusion automatic updates by the end of the week. Extensis does not recommend turning off System Integrity Protection (aka “rootless”) as a workaround and will not support any issues that derive from making this change.

Please upgrade to our latest release, try again, and let us know if you run into any problems.

Thanks!
Ryan C Brown
Extensis Font Team Quality Assurance


#8

[quote=“Peter.Coote”]

I haven’t yet worked it out but I did download the newest Suitcase Fusion 6 v17.3.0 update and Suitcase now opens without a plug-in error prompt. Alas, opening Suitcase still causes the Illustrator context menu and stroke profile issue as I tested that after the update download.[/quote]

Hello Peter,

I looked into this issue and read your thread over on Adobe’s forums. I tried a few test cases out this afternoon and so far am unable to reproduce your issue. FWIW, I was using Illustrator CC 2015 on OSX 10.11 with SF 17.3.0.

If you need immediate assistance, I encourage you to contact our Technical Support department (http://www.extensis.com/support/). Alternatively, feel free to PM me directly with some more details and I’ll be happy to take a closer look.

Thanks,
Ryan C Brown
Extensis Font Team Quality Assurance


#9

Hello,
i have the same problem.
The update doesnt solve the error.